Subject: [Fot] Rod ends

From: Scott Janzen <[email-masked]>
Date: Tue, 29 Jan 2013 11:47:46 -0500

I'm tightening up the GT6 suspension, and shopping for rod ends.  Historically I have just ordered from Pegasus, gotten the better quality alloy rod ends.  This time I looked at the price and was a little stunned - $41 for a 7/16" male rod end.

Problem is, I can't tell what Aurora model these are - are they AM, PRM, or something else.  If AM, I can find these for $26 elsewhere.

Anybody know, or have any recommendations for manufacturers, etc?  These are for the trailing/locating rods for the lower inverted a-arm.
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive